# src/asng/Makefile.inc

rel := src/asng

DIRS += $(rel)
DIST += $(rel)/Makefile.inc


# ----------------------------------------------------------------------
# ascat

ASCAT_BAS  := ascat
ASCAT_SRC  := $(foreach f,$(ASCAT_BAS),$(rel)/$(f).c)
ASCAT_HDR  := $(foreach f,$(ASCAT_BAS),$(rel)/$(f).h)
ASCAT_OBJ  := $(foreach f,$(ASCAT_BAS),$(rel)/$(f).o)
ASCAT_MAN1 := $(rel)/ascat.1
ASCAT_BIN  := $(rel)/ascat$(EXEEXT)
ASCAT_SDP  := $(ASCAT_HDR) src/config.h
ASCAT_BDP  := $(ASCAT_OBJ) $(MACLIB_ARC)

BIN  += $(ASCAT_BIN)
MAN1 += $(ASCAT_MAN1)
CLN  += $(ASCAT_BIN) $(ASCAT_OBJ)
DIST += $(ASCAT_SRC) $(ASCAT_HDR) $(ASCAT_MAN1)

$(rel)/ascat.o:	$(rel)/ascat.c

$(rel)/ascat$(EXEEXT): $(ASCAT_BDP)
	$(QP)echo "  LD     $@"
	$(QR)$(LD) -o $@ $(LDFLAGS_DEFAULT) $(ASCAT_OBJ) $(MACLIB_ARC) $(LIB)

# ----------------------------------------------------------------------
# asinfo

ASINFO_BAS  := asinfo
ASINFO_SRC  := $(foreach f,$(ASINFO_BAS),$(rel)/$(f).c)
ASINFO_HDR  := $(foreach f,$(ASINFO_BAS),$(rel)/$(f).h)
ASINFO_OBJ  := $(foreach f,$(ASINFO_BAS),$(rel)/$(f).o)
ASINFO_MAN1 := $(rel)/asinfo.1
ASINFO_BIN  := $(rel)/asinfo$(EXEEXT)
ASINFO_SDP  := $(ASINFO_HDR) src/config.h
ASINFO_BDP  := $(ASINFO_OBJ) $(MACLIB_ARC)

BIN  += $(ASINFO_BIN)
MAN1 += $(ASINFO_MAN1)
CLN  += $(ASINFO_BIN) $(ASINFO_OBJ)
DIST += $(ASINFO_SRC) $(ASINFO_HDR) $(ASINFO_MAN1)

$(rel)/asinfo.o:	$(rel)/asinfo.c

$(rel)/asinfo$(EXEEXT): $(ASINFO_BDP)
	$(QP)echo "  LD     $@"
	$(QR)$(LD) -o $@ $(LDFLAGS_DEFAULT) $(ASINFO_OBJ) $(MACLIB_ARC) $(LIB)

# ----------------------------------------------------------------------
# asng

ASNG_BAS  := asng
ASNG_SRC  := $(foreach f,$(ASNG_BAS),$(rel)/$(f).c)
ASNG_HDR  := $(foreach f,$(ASNG_BAS),$(rel)/$(f).h)
ASNG_OBJ  := $(foreach f,$(ASNG_BAS),$(rel)/$(f).o)
ASNG_MAN1 := $(rel)/asng.1
ASNG_BIN  := $(rel)/asng$(EXEEXT)
ASNG_BDP  := $(ASNG_OBJ) $(MACLIB_ARC)

BIN  += $(ASNG_BIN)
MAN1 += $(ASNG_MAN1)
CLN  += $(ASNG_BIN) $(ASNG_OBJ)
DIST += $(ASNG_SRC) $(ASNG_HDR) $(ASNG_MAN1)

$(rel)/asng.o:	$(rel)/asng.c

$(rel)/asng$(EXEEXT): $(ASNG_BDP)
	$(QP)echo "  LD     $@"
	$(QR)$(LD) -o $@ $(LDFLAGS_DEFAULT) $(ASNG_OBJ) $(MACLIB_ARC) $(LIB)
