# src/lib/Makefile.inc

rel := src/lib

DIRS += $(rel)
DIST += $(rel)/Makefile.inc

MACLIB_BAS := \
	applesingle \
	buffer \
	crc \
	dc42 \
	dir \
	file \
	fourcc \
	getopt \
	hfs \
	hqx \
	macbinary \
	macfile \
	mactime \
	mar \
	mfs \
	rsrc \
	strings \
	tar \
	unixfile

MACLIB_SRC := $(foreach f,$(MACLIB_BAS),$(rel)/$(f).c)
MACLIB_OBJ := $(foreach f,$(MACLIB_BAS),$(rel)/$(f).o)
MACLIB_HDR := $(foreach f,$(MACLIB_BAS),$(rel)/$(f).h)
MACLIB_ARC := $(rel)/maclib.a

CLN  += $(MACLIB_OBJ)
DIST += $(MACLIB_SRC) $(MACLIB_HDR)

$(rel)/applesingle.o:	$(rel)/applesingle.c
$(rel)/buffer.o:	$(rel)/buffer.c
$(rel)/crc.o:		$(rel)/crc.c
$(rel)/dc42.o:		$(rel)/dc42.c
$(rel)/dir.o:		$(rel)/dir.c
$(rel)/file.o:		$(rel)/file.c
$(rel)/fourcc.o:	$(rel)/fourcc.c
$(rel)/getopt.o:	$(rel)/getopt.c
$(rel)/hfs.o:		$(rel)/hfs.c
$(rel)/hqx.o:		$(rel)/hqx.c
$(rel)/macbinary.o:	$(rel)/macbinary.c
$(rel)/macfile.o:	$(rel)/macfile.c
$(rel)/mactime.o:	$(rel)/mactime.c
$(rel)/mar.o:		$(rel)/mar.c
$(rel)/mfs.o:		$(rel)/mfs.c
$(rel)/rsrc.o:		$(rel)/rsrc.c
$(rel)/strings.o:	$(rel)/strings.c
$(rel)/tar.o:		$(rel)/tar.c
$(rel)/unixfile.o:	$(rel)/unixfile.c

$(rel)/maclib.a: $(MACLIB_OBJ)
