# src/macbin/Makefile.inc

rel := src/macbin

DIRS += $(rel)
DIST += $(rel)/Makefile.inc


# ----------------------------------------------------------------------
# macbin

MACBIN_BAS  := macbin
MACBIN_SRC  := $(foreach f,$(MACBIN_BAS),$(rel)/$(f).c)
MACBIN_HDR  := $(foreach f,$(MACBIN_BAS),$(rel)/$(f).h)
MACBIN_OBJ  := $(foreach f,$(MACBIN_BAS),$(rel)/$(f).o)
MACBIN_MAN1 := $(rel)/macbin.1
MACBIN_BIN  := $(rel)/macbin$(EXEEXT)
MACBIN_SDP  := $(MACBIN_HDR) src/config.h
MACBIN_BDP  := $(MACBIN_OBJ) $(MACLIB_ARC)

BIN  += $(MACBIN_BIN)
MAN1 += $(MACBIN_MAN1)
CLN  += $(MACBIN_BIN) $(MACBIN_OBJ)
DIST += $(MACBIN_SRC) $(MACBIN_HDR) $(MACBIN_MAN1)

$(rel)/macbin.o:	$(rel)/macbin.c

$(rel)/macbin$(EXEEXT): $(MACBIN_BDP)
	$(QP)echo "  LD     $@"
	$(QR)$(LD) -o $@ $(LDFLAGS_DEFAULT) $(MACBIN_OBJ) $(MACLIB_ARC) $(LIB)

# ----------------------------------------------------------------------
# mbfix

MBFIX_BAS  := mbfix
MBFIX_SRC  := $(foreach f,$(MBFIX_BAS),$(rel)/$(f).c)
MBFIX_HDR  := $(foreach f,$(MBFIX_BAS),$(rel)/$(f).h)
MBFIX_OBJ  := $(foreach f,$(MBFIX_BAS),$(rel)/$(f).o)
MBFIX_MAN1 := $(rel)/mbfix.1
MBFIX_BIN  := $(rel)/mbfix$(EXEEXT)
MBFIX_SDP  := $(MBFIX_HDR) src/config.h
MBFIX_BDP  := $(MBFIX_OBJ) $(MACLIB_ARC)

BIN  += $(MBFIX_BIN)
MAN1 += $(MBFIX_MAN1)
CLN  += $(MBFIX_BIN) $(MBFIX_OBJ)
DIST += $(MBFIX_SRC) $(MBFIX_HDR) $(MBFIX_MAN1)

$(rel)/mbfix.o:	$(rel)/mbfix.c

$(rel)/mbfix$(EXEEXT): $(MBFIX_BDP)
	$(QP)echo "  LD     $@"
	$(QR)$(LD) -o $@ $(LDFLAGS_DEFAULT) $(MBFIX_OBJ) $(MACLIB_ARC) $(LIB)

# ----------------------------------------------------------------------
# mbinfo

MBINFO_BAS  := mbinfo
MBINFO_SRC  := $(foreach f,$(MBINFO_BAS),$(rel)/$(f).c)
MBINFO_HDR  := $(foreach f,$(MBINFO_BAS),$(rel)/$(f).h)
MBINFO_OBJ  := $(foreach f,$(MBINFO_BAS),$(rel)/$(f).o)
MBINFO_MAN1 := $(rel)/mbinfo.1
MBINFO_BIN  := $(rel)/mbinfo$(EXEEXT)
MBINFO_SDP  := $(MBINFO_HDR) src/config.h
MBINFO_BDP  := $(MBINFO_OBJ) $(MACLIB_ARC)

BIN  += $(MBINFO_BIN)
MAN1 += $(MBINFO_MAN1)
CLN  += $(MBINFO_BIN) $(MBINFO_OBJ)
DIST += $(MBINFO_SRC) $(MBINFO_HDR) $(MBINFO_MAN1)

$(rel)/mbinfo.o:	$(rel)/mbinfo.c

$(rel)/mbinfo$(EXEEXT): $(MBINFO_BDP)
	$(QP)echo "  LD     $@"
	$(QR)$(LD) -o $@ $(LDFLAGS_DEFAULT) $(MBINFO_OBJ) $(MACLIB_ARC) $(LIB)
