/*****************************************************************************
 * mac-utils                                                                 *
 *****************************************************************************/

/*****************************************************************************
 * File name:   src/mar/mar.h                                                *
 * Created:     2011-06-25 by Hampa Hug <hampa@hampa.ch>                     *
 * Copyright:   (C) 2011 Hampa Hug <hampa@hampa.ch>                          *
 *****************************************************************************/

/*****************************************************************************
 * This program is free software. You can redistribute it and / or modify it *
 * under the terms of the GNU General Public License version 2 as  published *
 * by the Free Software Foundation.                                          *
 *                                                                           *
 * This program is distributed in the hope  that  it  will  be  useful,  but *
 * WITHOUT  ANY   WARRANTY,   without   even   the   implied   warranty   of *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU  General *
 * Public License for more details.                                          *
 *****************************************************************************/


#ifndef MAR_MAIN_H
#define MAR_MAIN_H 1


#include "config.h"

#include <stdio.h>


#define MAR_BUF_MAX 16384


extern unsigned char par_buf[MAR_BUF_MAX];

extern char           par_creator_ok;
extern char           par_file_flags_ok;
extern char           par_finder_flags_ok;
extern char           par_mac_name_ok;
extern char           par_mar_id_ok;
extern char           par_position_x_ok;
extern char           par_position_y_ok;
extern char           par_scroll_x_ok;
extern char           par_scroll_y_ok;
extern char           par_type_ok;
extern char           par_window_view_ok;
extern char           par_window_x1_ok;
extern char           par_window_y1_ok;
extern char           par_window_x2_ok;
extern char           par_window_y2_ok;

extern unsigned long  par_creator;
extern const char     *par_ctime;
extern unsigned long  par_file_flags_msk;
extern unsigned long  par_file_flags_val;
extern unsigned short par_finder_flags_msk;
extern unsigned short par_finder_flags_val;
extern const char     *par_mac_name;
extern unsigned long  par_mar_id;
extern const char     *par_mtime;
extern unsigned       par_position_x;
extern unsigned       par_position_y;
extern unsigned       par_scroll_x;
extern unsigned       par_scroll_y;
extern unsigned long  par_type;
extern unsigned short par_window_view;
extern unsigned       par_window_x1;
extern unsigned       par_window_y1;
extern unsigned       par_window_x2;
extern unsigned       par_window_y2;


void print_help_properties (void);
void print_version (void);

int mar_set_property (const char *key, const char *val);

int mar_copy_crc (FILE *inp, FILE *out, unsigned long cnt, unsigned long *crc);

int mar_create_main (int argc, char **argv);
int mar_decode_main (int argc, char **argv);
int mar_encode_main (int argc, char **argv);
int mar_extract_main (int argc, char **argv);
int mar_fix_main (int argc, char **argv);
int mar_info_main (int argc, char **argv);
int mar_info_mf_main (int argc, char **argv);
int mar_list_main (int argc, char **argv);


#endif
